import * as react_jsx_runtime from 'react/jsx-runtime';
import React from 'react';

interface Position {
    top: number;
    left: number;
}
interface HighlightPopoverProps {
    children: React.ReactNode;
    renderPopover: (props: {
        position: Position;
        selection: string;
    }) => React.ReactNode;
    className?: string;
    offset?: {
        x?: number;
        y?: number;
    };
    minSelectionLength?: number;
    onSelectionStart?: () => void;
    onSelectionEnd?: (selection: string) => void;
    onPopoverShow?: () => void;
    onPopoverHide?: () => void;
}
interface HighlightPopoverContextType {
    showPopover: boolean;
    setShowPopover: React.Dispatch<React.SetStateAction<boolean>>;
    popoverPosition: Position;
    currentSelection: string;
}
declare function useHighlightPopover(): HighlightPopoverContextType;
declare function HighlightPopover({ children, renderPopover, className, offset, minSelectionLength, onSelectionStart, onSelectionEnd, onPopoverShow, onPopoverHide, }: HighlightPopoverProps): react_jsx_runtime.JSX.Element;

export { HighlightPopover, useHighlightPopover };
